
package com.tmerclub.cloud.supplier.vo;

import com.tmerclub.cloud.api.supplier.vo.SupplierApiDetailVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 供应商审核信息VO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
public class SupplierAuditingVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商审核id")
    private Long supplierAuditingId;

    @Schema(description = "申请人id")
    private Long userId;

    @Schema(description = "供应商ID")
    private Long supplierId;

    @Schema(description = "审核人id")
    private Long auditorId;

    @Schema(description = "0 未审核 1已通过 -1未通过")
    private Integer status;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "供应商信息")
    private SupplierApiDetailVO supplierDetail;

    public Long getSupplierAuditingId() {
        return supplierAuditingId;
    }

    public void setSupplierAuditingId(Long supplierAuditingId) {
        this.supplierAuditingId = supplierAuditingId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public SupplierApiDetailVO getSupplierDetail() {
        return supplierDetail;
    }

    public void setSupplierDetail(SupplierApiDetailVO supplierDetail) {
        this.supplierDetail = supplierDetail;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "SupplierAuditingVO{" +
                "supplierAuditingId=" + supplierAuditingId +
                ", userId=" + userId +
                ", supplierId=" + supplierId +
                ", auditorId=" + auditorId +
                ", status=" + status +
                ", remarks='" + remarks + '\'' +
                ", supplierDetail=" + supplierDetail +
                '}';
    }
}
